For Developers
Get Bell Schedule Period
This model is part of the v2.5 API update which is currently in beta and therefore subject to change.
GET https://ed.link/api/v2/graph/bell_schedule_periods/:bell_schedule_period_id
Retrieve information about a specific Bell Schedule Period.
Request Parameters
| Parameter | Location | Type | Description |
|---|---|---|---|
bell_schedule_period_id | url | string | The UUID of the desired Bell Schedule Period. |
Sample Request
axios.get('https://ed.link/api/v2/graph/bell_schedule_periods/00000000-0000-0000-0000-000000000000', {
headers: {
authorization: `Bearer ${integration_access_token}`
}
});
Sample Response
{
"$data": {
"id": "00000000-0000-0000-0000-000000000000",
"created_date": "2021-07-05T20:32:40.454Z",
"updated_date": "2021-07-12T21:44:23.126Z",
"bell_schedule_id": "00000000-0000-0000-0000-000000000001",
"track_id": "00000000-0000-0000-0000-000000000002",
"period_id": "00000000-0000-0000-0000-000000000003",
"type": "class",
"start_time": "13:45:00.000Z",
"end_time": "14:30:00.000Z"
},
"$request": "00000000-0000-0000-0000-000000000000"
}